package body MSHTML.DispSVGAElement_Object is

   procedure PutRef_target
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGAElement_PutRef_target,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_target;

   function Get_target
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_target);
   end Get_target;

   procedure Put_xmlbase
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGAElement_Put_xmlbase,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlbase;

   function Get_xmlbase
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_xmlbase);
   end Get_xmlbase;

   procedure PutRef_ownerSVGElement
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGAElement_PutRef_ownerSVGElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_ownerSVGElement;

   function Get_ownerSVGElement
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_ownerSVGElement);
   end Get_ownerSVGElement;

   procedure PutRef_viewportElement
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGAElement_PutRef_viewportElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_viewportElement;

   function Get_viewportElement
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_viewportElement);
   end Get_viewportElement;

   procedure PutRef_focusable
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         DispSVGAElement_PutRef_focusable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_focusable;

   function Get_focusable
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_focusable);
   end Get_focusable;

   function Get_href
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_href);
   end Get_href;

   function Get_requiredFeatures
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_requiredFeatures);
   end Get_requiredFeatures;

   function Get_requiredExtensions
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_requiredExtensions);
   end Get_requiredExtensions;

   function Get_systemLanguage
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_systemLanguage);
   end Get_systemLanguage;

   function hasExtension
     (This      : DispSVGAElement_Type;
      extension : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispSVGAElement_hasExtension,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => extension),
         Free);
   end hasExtension;

   procedure Put_xmllang
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGAElement_Put_xmllang,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmllang;

   function Get_xmllang
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_xmllang);
   end Get_xmllang;

   procedure Put_xmlspace
     (This : DispSVGAElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGAElement_Put_xmlspace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_xmlspace;

   function Get_xmlspace
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_xmlspace);
   end Get_xmlspace;

   function Get_externalResourcesRequired
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_externalResourcesRequired);
   end Get_externalResourcesRequired;

   function Get_className
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_className);
   end Get_className;

   function Get_transform
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_transform);
   end Get_transform;

   function Get_nearestViewportElement
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_nearestViewportElement);
   end Get_nearestViewportElement;

   function Get_farthestViewportElement
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGAElement_Get_farthestViewportElement);
   end Get_farthestViewportElement;

   function getBBox
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGAElement_getBBox);
   end getBBox;

   function getCTM
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGAElement_getCTM);
   end getCTM;

   function getScreenCTM
     (This : DispSVGAElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispSVGAElement_getScreenCTM);
   end getScreenCTM;

   function getTransformToElement
     (This     : DispSVGAElement_Type;
      pElement : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispSVGAElement_getTransformToElement,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pElement),
         Free);
   end getTransformToElement;

end MSHTML.DispSVGAElement_Object;

